ConnectionProvider::ConnectionInfo Struct Reference

connection information hash as returned by AbstractConnection::getInfo() More...

## Public Attributes

string | desc
| the connection description
*date | last_check
| the date/time value of the last connection check (or NOTHING if not checked)
bool | loopback
| a boolean vaue indicating if the connection is a loopback connection
bool | monitor
| a boolean vaue indicating if the connection should be monitored or not
string | name
| the connection name
*hash | opts
| the original options used to create the object
string | status
| a string giving the connection's status
string | type
| the connection type
bool | up = False
| a boolean vaue indicating the connection is known to be up (will be False if not checked)
*date | updated
| the date/time value of the update (or NOTHING if not updated)
string | url
| the URL for the connection including the password (if any present and the with_password argument is True)
hash | url_hash
| a hash of URL information as returned by parse_url()

## Detailed Description

connection information hash as returned by AbstractConnection::getInfo()